/***************************************************************************

  Word2CHM

  Copyright (c) 2010 sinosoft , written by yuans.
  http://www.sinoreport.net

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Word2CHM.CHMDom ;

namespace Word2CHM
{
    public partial class dlgImportWordHtml : Form
    {
        public dlgImportWordHtml()
        {
            InitializeComponent();
            
            this.DialogResult = DialogResult.Cancel;
        }

        private CHMDocument myDocument = null;

        public CHMDocument Document
        {
            get { return myDocument; }
            set { myDocument = value; }
        }

        private void dlgImportWordHtml_Load(object sender, EventArgs e)
        {
            this.txtHeaderHtml.Text = this.Document.HelpHeaderHtml;
            this.txtFooterHtml.Text = this.Document.HelpFooterHtml;
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            this.Document.HelpHeaderHtml = txtHeaderHtml.Text;
            this.Document.HelpFooterHtml = txtFooterHtml.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}